- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::MakerNoteFactory::Init Class Reference

Class Init is used to execute initialisation and termination code exactly once, at the begin and end of the program. More...

`#include <makernote.hpp>`

List of all members.

## Public Member Functions
Creators
| Init ()
| Perform one-time initialisations.
| ~Init ()
| Perform one-time cleanup operations.

## Detailed Description

Class Init is used to execute initialisation and termination code exactly once, at the begin and end of the program.

See Bjarne Stroustrup, 'The C++ Programming Language 3rd Edition', section 21.5.2 for details about this pattern.

The documentation for this class was generated from the following files:

- makernote.hpp
- makernote.cpp